/preview/retail-media/accounts/{account-id}/creatives/search
curl --request POST \
--url https://api.criteo.com/preview/retail-media/accounts/{account-id}/creatives/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"brandIds": [
"<string>"
],
"creativeIds": [
"<string>"
],
"creativeName": "<string>",
"creativeTypes": [],
"pageTypes": [],
"retailerIds": [
"<string>"
],
"templateIds": [
"<string>"
]
},
"id": "<string>",
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/accounts/{account-id}/creatives/search"
payload = { "data": {
"attributes": {
"brandIds": ["<string>"],
"creativeIds": ["<string>"],
"creativeName": "<string>",
"creativeTypes": [],
"pageTypes": [],
"retailerIds": ["<string>"],
"templateIds": ["<string>"]
},
"id": "<string>",
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
brandIds: ['<string>'],
creativeIds: ['<string>'],
creativeName: '<string>',
creativeTypes: [],
pageTypes: [],
retailerIds: ['<string>'],
templateIds: ['<string>']
},
id: '<string>',
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/retail-media/accounts/{account-id}/creatives/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"brandId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lineItems": [
"<string>"
],
"modifiedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"pageType": [],
"preview": "<string>",
"retailerId": "<string>",
"templateId": "<string>"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
],
"metadata": {
"limit": 123,
"offset": 123,
"count": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
]
}/preview/retail-media/accounts/{account-id}/creatives/search
Get account creatives
POST
/
preview
/
retail-media
/
accounts
/
{account-id}
/
creatives
/
search
/preview/retail-media/accounts/{account-id}/creatives/search
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
External account id to retrieve creatives for
Query Parameters
limit to paginated result
Required range:
1 <= x <= 500offset to paginated result
Required range:
0 <= x <= 2147483647Body
application/json
search request filter
A top-level object that encapsulates a Criteo API request for a single entity.
A domain entity exposed by the API, identified by a unique id.
Show child attributes
Show child attributes
Response
200 - application/json
Creatives found
A top-level object that encapsulates a Criteo API response for several entities and metadata.
Show child attributes
Show child attributes
Errors that occured during this call.
Show child attributes
Show child attributes
Metadata related to the current request.
Show child attributes
Show child attributes
Warnings that occured during this call.
Show child attributes
Show child attributes
Was this page helpful?
⌘I